(*
  File: lChub.ml
  Author: Shivkumar Chandrasekaran
  Email: shiv@ece.ucsb.edu
  Purpose: Localized Chebyshev basis basis on Mhaskar's polynomial frames

  $Id$
*)


open Bigarray
open Nla
open Chub


open DBlop
open DChub


(* From Dym and McKean *)
let smoothStep x =
  if x <= 0.0 then
    0.0
  else if x >= 1.0 then
    1.0
  else
    exp ( (-1.0 /. x) *. exp (1.0 /. (x -. 1.0)) )
      

let h x =
  smoothStep (2.0 *. (x +. 1.0)) *. smoothStep (2.0 *. (1.0 -. x))


let tau j k x =
  let acc = ref 0.0 in
  for kk = 0 to (1 lsl j - 1) do
    let wt
  done
